///////////////////////////////////////////////////////////////////////////////
// DC_CombineImages_default_settings.js
///////////////////////////////////////////////////////////////////////////////
//
// DC_CombineImages: Version 0.61
//
// A script to combine multiple grayscale images to form a single color image
// with user-defined colors
//
// Copyright (c) 2018-2022 Dean Carr
//
///////////////////////////////////////////////////////////////////////////////

#ifndef __DC_CombineImages_default_settings_js
#define __DC_CombineImages_default_settings_js

//------------------------------------------------------------------------------

// Dialog Settings

#define NUM_DIALOG_ATTRIBUTES_CONTROL_SETS                  7  // <= NUM_VIEW_SLOTS

#define TOP_SIZER_HEIGHT_RATIO                            0.60

// These should add to <= (about) 97% to avoid disaster !
#define REVIEW_IMAGE_WIDTH_RATIO                          0.37
#define REVIEW_IMAGE_ADJUSTMENTS_WIDTH_RATIO              0.11
#define DESCRIPTION_WIDTH_RATIO                           0.38
#define SETTINGS_WIDTH_RATIO                              0.11

#define DESCRIPTION_FOLDER                            "System" // relative to root_folder

// TheApp Settings

#define NUM_VIEW_SLOTS                                      7  // <= 8

#define B_AUTO_POPULATE_ROW_ENTRIES                       true

#define B_SAVE_DIAGNOSTICS                               false

#define B_SAVE_COLORIZED_IMAGES                          false
#define B_SAVE_COLORIZED_IMAGES_WITH_AUTOSTRETCH         false
#define SAVE_COLORIZED_IMAGE_FILE_EXTENSION            ".xisf"

#define B_AUTO_STF                                        true
#define B_LINKED_RGB_CHANNELS                             true

#define B_AUTO_SET_KNOWN_PALETTE                          true

#define INPUT_IMAGES_FOLDER                     "Input Images" // relative to root_folder
#define SAVED_COMBINED_IMAGES_FOLDER   "Saved Combined Images" // relative to root_folder
#define SAVED_COLORIZED_IMAGES_FOLDER "Saved Colorized Images" // relative to root_folder
#define SAVED_SETTINGS_FOLDER                 "Saved Settings" // relative to root_folder
#define SAVED_DIAGNOSTICS_FOLDER           "Saved Diagnostics" // relative to root_folder
#define DEFAULT_PALETTES_FOLDER                       "System" // relative to root_folder

#define DEFAULT_PALETTE                              "NATURAL"
#define DEFAULT_PREPROCESSING_METHOD                    "NONE"
#define DEFAULT_COLORIZE_METHOD                     "MULTIPLY"
#define DEFAULT_COMBINE_METHOD                          "MEAN"
#define DEFAULT_RESCALE_METHOD             "RESCALE_IF_NEEDED"

//------------------------------------------------------------------------------

#endif   // __DC_CombineImages_default_settings_js

///////////////////////////////////////////////////////////////////////////////
// EOF DC_CombineImages_default_settings.js
///////////////////////////////////////////////////////////////////////////////
